Returns details of the Network - must match the Network owning the requesting API key
curl --request GET \
--url https://api.mn.co/admin/v1/networks/{network_id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mn.co/admin/v1/networks/{network_id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mn.co/admin/v1/networks/{network_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mn.co/admin/v1/networks/{network_id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mn.co/admin/v1/networks/{network_id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.mn.co/admin/v1/networks/{network_id}/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mn.co/admin/v1/networks/{network_id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "1234",
"created_at": "2026-11-11T22:25:33Z",
"updated_at": "2026-11-11T22:25:33Z",
"subdomain": "paint-pals",
"title": "The Paint Pals Network",
"subtitle": "A network for artists to share and collaborate",
"purpose": "Bring together artists interested in sharing their work and inspiring others",
"description": "A great network"
}{
"error": "<string>",
"reason": "<string>",
"credits_url": "<string>"
}Networks
Returns details of the Network - must match the Network owning the requesting API key
GET
/
admin
/
v1
/
networks
/
{network_id}
/
Returns details of the Network - must match the Network owning the requesting API key
curl --request GET \
--url https://api.mn.co/admin/v1/networks/{network_id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mn.co/admin/v1/networks/{network_id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mn.co/admin/v1/networks/{network_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mn.co/admin/v1/networks/{network_id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mn.co/admin/v1/networks/{network_id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.mn.co/admin/v1/networks/{network_id}/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mn.co/admin/v1/networks/{network_id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "1234",
"created_at": "2026-11-11T22:25:33Z",
"updated_at": "2026-11-11T22:25:33Z",
"subdomain": "paint-pals",
"title": "The Paint Pals Network",
"subtitle": "A network for artists to share and collaborate",
"purpose": "Bring together artists interested in sharing their work and inspiring others",
"description": "A great network"
}{
"error": "<string>",
"reason": "<string>",
"credits_url": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The Network's unique integer ID, or subdomain Unique numeric network ID
Response
Returns the Networks attributes
Networks are the main organizational unit within Mighty, and house all other objects
The record's integer ID
Example:
"1234"
The date and time the record was created
Example:
"2026-11-11T22:25:33Z"
The date and time the record was last modified
Example:
"2026-11-11T22:25:33Z"
The Network subdomain
Example:
"paint-pals"
The Network title
Example:
"The Paint Pals Network"
The Network subtitle
Example:
"A network for artists to share and collaborate"
The Network purpose
Example:
"Bring together artists interested in sharing their work and inspiring others"
The Network description
Example:
"A great network"